Get a company membership
import requests
url = "https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/ \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"email": "[email protected]",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invite_expires_at": "2023-11-07T05:31:56Z",
"last_name": "<string>",
"revocation_reason": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "admin",
"sandbox_origin": "production_mirror",
"status": "pending_setup",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Company memberships
Get a company membership
The memberships of one managed company: list, add, and revoke users.
GET
/
partner
/
v2
/
companies
/
{company_id}
/
users
/
{membership_id}
/
Get a company membership
import requests
url = "https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/companies/{company_id}/users/{membership_id}/ \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"email": "[email protected]",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invite_expires_at": "2023-11-07T05:31:56Z",
"last_name": "<string>",
"revocation_reason": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "admin",
"sandbox_origin": "production_mirror",
"status": "pending_setup",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Headers
Path Parameters
Response
A user's membership in a managed company.
Provenance of the user behind this membership — sandbox_native for a subject created inside the sandbox (a test resource), production_mirror for a read-only copy of a production user, unclassified otherwise (always so in production).
production_mirror- Production mirrorsandbox_native- Sandbox nativeunclassified- Unclassified
Available options:
production_mirror, sandbox_native, unclassified 